<?php include "../index/conexion.inc" ?>
<?php include "../index/validacion.php" ?>
<?php
	// conexión
	$servername = $svr_servidor;
	$conectioninfo = array("Database"=>$svr_base, "UID"=>$svr_usuario, "PWD"=>$svr_contrasena, "CharacterSet"=>"UTF-8");
	$conexion = sqlsrv_connect($servername, $conectioninfo);
	if ($conexion == false)
	{
		$mensaje = "Existe un error al intentar conectarse con el servidor...";
	}
	else
	{
		// VARIABLES
		$cV01 = $_POST['desde'];	/* DESDE */
		$cV02 = $_POST['hasta'];	/* HASTA */
		// PARAMETROS PARA EXPORTAR
		header("Pragma: public");
		header("Expires: 0");
		$filename = "PedidosGeneral.xls";
		header("Content-type: application/x-msdownload");
		header("Content-Disposition: attachment; filename=$filename");
		header("Pragma: no-cache");
		header("Cache-Control: must-revalidate, post-check=0, pre-check=0");
		echo "
			<table>
				<thead>
					<tr>
						<th>SERIE</th>
						<th>PEDIDO</th>
						<th>FECHA PEDIDO</th>
						<th>SERIE FAC</th>
						<th>FACTURA</th>
						<th>FECHA FAC</th>
						<th>ID.ESTADO</th>
						<th>ESTADO</th>
						<th>VENDEDOR</th>
						<th>COD.CLIENTE</th>
						<th>CLIENTE</th>
						<th>IDPICKING</th>
						<th>GUIA</th>
						<th>ESTADO ADICIONAL</th>
						<th>USUARIO PICKING</th>
						<th>FECHA PICKING</th>
					</tr>
				</thead>
				<tbody>";
					// CONSULTA SQL
					$sql = "EXECUTE JOIN_INV_REP_PEDIDOS  '".$cV01."' ,'".$cV02."'";
					$pa1 = array();
					$op1 = array("scrollable" => SQLSRV_CURSOR_KEYSET);
					// Lanzar la consulta
					$re1 = sqlsrv_query($conexion, $sql, $pa1, $op1);
					while($fila = sqlsrv_fetch_array($re1))
					{
						echo "
							<tr>
								<td>".$fila['NUMSERIE']."</td>
								<td>".$fila['NUMPEDIDO']."</td>
								<td>".$fila['FECHAPEDIDO']."</td>
								<td>".$fila['SERIEFAC']."</td>
								<td>".$fila['FACTURA']."</td>
								<td>".$fila['FECHAFAC']."</td>
								<td>".$fila['IDESTADO']."</td>
								<td>".$fila['ESTADO']."</td>
								<td>".$fila['NOMVENDEDOR']."</td>
								<td>".$fila['CODCLIENTE']."</td>
								<td>".$fila['NOMBRECLIENTE']."</td>
								<td>".$fila['IDPICKING']."</td>
								<td>".$fila['GUIA']."</td>
								<td>".$fila['ESTADO_AD']."</td>
								<td>".$fila['USUARIO_P']."</td>
								<td>".$fila['FECHA_P']."</td>
							</tr>
						";
					}
				echo "
				</tbody>
			</table>
		";
	}
	// Desconexion
	sqlsrv_close($conexion);
?>